Skip to main content
POST
/
orgs
/
{organization}
/
servers
/
{server}
/
sites
/
{site}
/
redirect-rules
Create site redirect rule
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/redirect-rules",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'from' => '/old-path',
    'to' => '/new-path',
    'type' => 'permanent'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://forge.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The organization slug

server
integer
required

The server ID

site
integer
required

The site ID

Body

application/json
from
string
required

The source URL path for the redirect rule.

Maximum string length: 1000
Example:

"/old-path"

to
string
required

The destination URL path for the redirect rule.

Maximum string length: 1000
Example:

"/new-path"

type
enum<string>
required

The type of the redirect rule.

Available options:
redirect,
permanent
Example:

"permanent"

Response

Accepted